Bug 66614 - RFE: Encapsulate anaconda inside UML/VNC to allow remote install with complete control from beginning to end.
RFE: Encapsulate anaconda inside UML/VNC to allow remote install with complet...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 13:05 EDT by Richard Black
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:06:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Black 2002-06-12 13:05:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
RFE: Encapsulate anaconda inside UML running VNC to allow remote install with 
complete control from beginning to end.

The purpose of using VNC would be that any disconnects between anaconda and the 
remote display wouldn't cause the need to start the install all over again.

So a version of Linux boots, starts VNC server, then starts UML (user mode 
linux) inside the vnc session, which then presents you with the opportunity to 
key in any kernel parameters, and then proceeds to start the anaconda install.  
Then through VNC you have complete control of the install from beginning to end 
whether it is in text mode or GUI mode (maybe need to make use of xnest...).

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Any other method would be welcome if there is a way to get remote control in 
text mode.
Comment 1 Michael Fulbright 2002-06-14 11:54:17 EDT
This really seems like alot of complication just to do what you can do with X or
the 'telnet' option of the installer.

Any comments Jeremy?
Comment 2 Richard Black 2002-06-14 12:16:04 EDT
Where can I find any information on this anaconda telnet feature?
Comment 3 Jeremy Katz 2002-06-14 20:11:17 EDT
Boot with 'linux telnet' and you can then telnet to the machine, it will accept
your connection and run a tui install over telnet.  To be honest, the use of
DISPLAY= is probably a lot more useful.  Starting vnc and uml adds significantly
more overhead to the install process which already has plenty of overhead IMHO
and adding more complication really isn't the route I want to go.

Marking deferred to revisit for a future release and see if I change my mind
after thinking about it for a while :)
Comment 4 Michael Fulbright 2003-04-02 15:39:25 EST
Done in internal development tree.
Comment 5 Jeremy Katz 2006-04-24 14:06:30 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.